Create an inventory import file configuration - Fabric

Create an inventory import file configuration

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/inventory-import-configs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "filePrefix": "oms_",
  "groupName": "Location0or2",
  "rules": {
    "locationFilters": [
      {
        "condition": "EQ",
        "field": "locationNum",
        "value": "11245"
      },
      {
        "condition": "IN",
        "field": "type",
        "values": [
          "DC",
          "STORE"
        ]
      }
    ]
  },
  "id": "821018391"
}
'

Python

import requests

url = "https://api.fabric.inc/v3/inventory-import-configs"

payload = {
    "filePrefix": "oms_",
    "groupName": "Location0or2",
    "rules": { "locationFilters": [
            {
                "condition": "EQ",
                "field": "locationNum",
                "value": "11245"
            },
            {
                "condition": "IN",
                "field": "type",
                "values": ["DC", "STORE"]
            }
        ] },
    "id": "821018391"
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    filePrefix: 'oms_',
    groupName: 'Location0or2',
    rules: {
      locationFilters: [
        {condition: 'EQ', field: 'locationNum', value: '11245'},
        {condition: 'IN', field: 'type', values: ['DC', 'STORE']}
      ]
    },
    id: '821018391'
  })
};

fetch('https://api.fabric.inc/v3/inventory-import-configs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/inventory-import-configs",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'filePrefix' => 'oms_',
    'groupName' => 'Location0or2',
    'rules' => [
        'locationFilters' => [
                [
                                'condition' => 'EQ',
                                'field' => 'locationNum',
                                'value' => '11245'
                ],
                [
                                'condition' => 'IN',
                                'field' => 'type',
                                'values' => [
                                                                'DC',
                                                                'STORE'
                ]
                ]
        ]
    ],
    'id' => '821018391'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-fabric-channel-id: <x-fabric-channel-id>",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.fabric.inc/v3/inventory-import-configs"

payload := strings.NewReader(`{
  "filePrefix": "oms_",
  "groupName": "Location0or2",
  "rules": {
    "locationFilters": [
      {
        "condition": "EQ",
        "field": "locationNum",
        "value": "11245"
      },
      {
        "condition": "IN",
        "field": "type",
        "values": [
          "DC",
          "STORE"
        ]
      }
    ]
  },
  "id": "821018391"
}`)

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
    req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Responses

Successful Response (201)

{
  "filePrefix": "oms_",
  "groupName": "Location0or2",
  "rules": {
    "locationFilters": [
      {
        "condition": "EQ",
        "field": "locationNum",
        "value": "11245"
      },
      {
        "condition": "IN",
        "field": "type",
        "values": [
          "DC",
          "STORE"
        ]
      }
    ]
  },
  "id": "821018391"
}

Error Responses

  1. Bad Request (400)

    {
      "errors": [
        {
          "message": "Invalid request",
          "type": "CLIENT_ERROR"
        }
      ],
      "message": "Bad request",
      "type": "CLIENT_ERROR"
    }
    
  2. Unauthorized (401)

    {
      "message": "Unauthorized request",
      "type": "CLIENT_ERROR"
    }
    
  3. Internal Server Error (500)

    {
      "message": "Internal server error",
      "type": "SERVER_ERROR"
    }